%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:	Boxes manager for GNOME
Name:		gnome-boxes
Version:	3.16.2
Release:	2
License:	GPLv2+
Group:		Graphical desktop/GNOME
Url:		https://live.gnome.org/Boxes
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-boxes/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	vala-tools
BuildRequires:	vala-devel
BuildRequires:	pkgconfig(clutter-gtk-1.0) >= 1.0.1
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glib-2.0) => 2.29.90
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.9.6
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.3.5
BuildRequires:	pkgconfig(gtk-vnc-2.0) >= 0.4.4
BuildRequires:	pkgconfig(gudev-1.0) >= 167
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(libosinfo-1.0) >= 0.2.11
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libvirt-gconfig-1.0) >= 0.2.0
BuildRequires:	pkgconfig(libvirt-gobject-1.0) >= 0.2.0
BuildRequires:	pkgconfig(libxml-2.0) >= 2.7.8
BuildRequires:	pkgconfig(spice-client-gtk-3.0) >= 0.27
BuildRequires:	pkgconfig(tracker-sparql-1.0)
Requires:	fuseiso
# gnome-boxes uses a dark theme
Requires:	gnome-icon-theme
# XXX - libvirtd service should be running
Requires:	libvirt-utils
# Needed for unattended installer:
Requires:	mtools
Requires:	qemu
Requires:	qemu-img

%description
Standalone boxes manager for GNOME desktop.

%files -f %{name}.lang
%doc AUTHORS README NEWS TODO
%doc %{_datadir}/help/*/gnome-boxes/*
%{_bindir}/%{name}
%{_libexecdir}/gnome-boxes-search-provider
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/appdata/*.appdata.xml
%{_datadir}/dbus-1/services/org.gnome.Boxes.SearchProvider.service
%{_datadir}/dbus-1/services/org.gnome.Boxes.service
%{_datadir}/glib-2.0/schemas/org.gnome.boxes.gschema.xml
%{_datadir}/gnome-shell/search-providers/gnome-boxes-search-provider.ini
%{_iconsdir}/*/*/*/*

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall_std

%find_lang %{name}


%changelog

* Fri Apr 01 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3.16.2-2
- (84b90ae) Adjust spec style


